using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BongahCS
{
    public partial class frmMelkeJadid : Form
    {
        public frmMelkeJadid()
        {
            InitializeComponent();
        }

        private void dbIns()
        {
            if (textBox1.Text == "" || textBox4.Text == "" || textBox5.Text == "")
            {
                MessageBox.Show("فیلد های متراژ ، شماره پرونده و شماره ثبت نباید خالی باشند");
            }
            else
            {
                txtNullAdd();
                FirstClass db = new FirstClass();
                db.cmd.Parameters.Add("@MetraZH", SqlDbType.Float).Value = float.Parse(textBox1.Text.Trim());
                db.cmd.Parameters.Add("@KarbariType", SqlDbType.NVarChar).Value = textBox2.Text.Trim();
                db.cmd.Parameters.Add("@Type", SqlDbType.NVarChar).Value = textBox3.Text.Trim();
                db.cmd.Parameters.Add("@SanadStatus", SqlDbType.Int).Value = comboBox1.SelectedValue;
                db.cmd.Parameters.Add("@ParvanehNumber", SqlDbType.NVarChar).Value = textBox4.Text.Trim();
                db.cmd.Parameters.Add("@RegisterNumber", SqlDbType.NVarChar).Value = textBox5.Text.Trim();

                db.exeCommand("sp_tblMelks_Insert");
                grdFill();
                txtClear();
                MessageBox.Show("رکورد جدید درج شد.");
            }
        }

        private void grdFill()
        {

            try
            {
                FirstClass db = new FirstClass();
                DataTable dt = new DataTable();

                dt = db.dbOut(@"SELECT     dbo.tblMelks.MelkID AS [کد ملک], dbo.tblMelks.MetraZH AS متراژ, dbo.tblMelks.KarbariType AS [نوع کاربری], dbo.tblMelks.Type AS نوع, 
                      dbo.tblSanadsStatuse.sanadStatusDescript AS [وضعیت سند], dbo.tblMelks.ParvanehNumber AS [شماره پرونده], 
                      dbo.tblMelks.RegisterNumber AS [شماره ثبت] FROM         dbo.tblMelks INNER JOIN
                      dbo.tblSanadsStatuse ON dbo.tblMelks.SanadStatus = dbo.tblSanadsStatuse.sanadStatuseID");
                dataGridView1.DataSource = dt;
                cmbFill();
            }
            catch
            {
                MessageBox.Show("رکوردی جهت نمایش وجود ندارد");
            }
        }

        private void cmbFill()
        {

            try
            {
                FirstClass db = new FirstClass();
                DataTable dt = new DataTable();

                dt = db.dbOut("SELECT     TOP 100 PERCENT sanadStatuseID, sanadStatusDescript  FROM   tblSanadsStatuse ORDER BY sanadStatusDescript");
                comboBox1.DataSource = dt;
                comboBox1.ValueMember = "sanadStatuseID";
                comboBox1.DisplayMember = "sanadStatusDescript";
            }
            catch
            {
                MessageBox.Show("رکوردی جهت نمایش وجود ندارد");
            }
        }

        private void dbDel()
        {
            if (textBox7.Text == "")
            {
                MessageBox.Show("کد خریدار در فیلد زرد رنگ وارد نشده");
            }
            else
            {
                FirstClass db = new FirstClass();
                db.cmd.Parameters.Add("@MelkID", SqlDbType.NVarChar).Value = textBox7.Text;
                db.exeCommand("sp_tblMelks_DeleteRow");
                textBox7.Text = "";
                grdFill();
                MessageBox.Show("رکورد مورد نظر حذف شد");
            }
        }

        private void txtClear()
        {
            textBox1.Text = "";
            textBox2.Text = "";
            textBox3.Text = "";
            textBox4.Text = "";
            textBox5.Text = "";
            //textBox6.Text = "";
        }

        private void txtNullAdd()
        {
            if (textBox2.Text == "")
            {
                textBox2.Text = "Null";
            }
            if (textBox3.Text == "")
            {
                textBox3.Text = "Null";
            }
            //if (textBox4.Text == "")
            //{
            //    textBox4.Text = "Null";
            //}
            //if (textBox6.Text == "")
            //{
                //textBox6.Text = "Null";
            //}
        }



        private void button1_Click(object sender, EventArgs e)
        {
            dbIns();
        }

        private void frmMelkeJadid_Load_1(object sender, EventArgs e)
        {
            grdFill();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            dbDel();
        }
    }
}